package net.projectmonkey.object.mapper.construction.converter;

/**
 * allows converters to be cached against source and destination types where possible.
 *
 * @author Andy Moody
 */
public interface CacheableConverter<SourceType, DestinationType> extends Converter<SourceType, DestinationType>
{

	public Class<? extends SourceType>[] getApplicableSourceTypes();

	public Class<? extends DestinationType>[] getApplicableDestinationTypes();

}
